About future MySQL/MariaDB Support

Use this forum if you want to discuss a problem or ask a question related to a hMailServer beta release.
Post Reply
User avatar
Dravion
Senior user
Senior user
Posts: 1423
Joined: 2015-09-26 11:50
Location: Germany
Contact:

About future MySQL/MariaDB Support

Post by Dravion » 2019-04-23 06:17

While iam working on both version of hMailServer LTS version 64-Bit and hMailServer HCD (with Linux and MacOS Support)
iam affraid to say i see no feasable way to further support MySQL beyond version 5.7.x. in hMailServer original and LTS.

In the past, Martin has taken portions of the MySQL Client lib Source Code, modified it for hMailServer needs integrated this special
version of MySQL Client code into the build process. Needsless to say, time went by and ORACLE changed a lot on the original MySQL
Client Source Code as well. The Result is, we cant build hMailServer beyond MySQL 5.7.x support anymore.

PostgreSQL instead is a diffrent story. As Martin implemented the PostgreSQL Support for hMailServer, it was in way which made
it possible to stay compatible with the PostgreSQL Client Source Code so its easy to upgrade PostgreSQL-Support in hMailServer.

IMHO:
MySQL 5.7.x will be supported for a while, but MySQL 8 will revoke 5.7.x Legacy support in future releases at some point in time.
I think if nothing changes we will loose MySQL/MariaDB Support in the future. The only way out seems to be someone ReImplements the MySQL
Client Lib Support in a way it was done for PostgreSQL.

However:
I will modify the DB-Interface for hMailServer HCD which will support MySQL 8.x and MariaDB 10.x natively but this cannot be backported to hMailServer original because HCD's DB-Interface has all DCOM Support removed in its code, so hMailServer original and HCD will handle things diffrently regarding DB-Support.

Post Reply